MessagePart (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket, class: MessagePart

# Class MessagePart

java.lang.Object
org.apache.tomcat.websocket.MessagePart

public class MessagePart extends Object
Represents a part of a WebSocket message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getBlockingWriteTimeoutExpiry()`
  Get the blocking write timeout expiry.
  `SendHandler`
  `getEndHandler()`
  Get the end handler.
  `SendHandler`
  `getIntermediateHandler()`
  Get the intermediate handler.
  `byte`
  `getOpCode()`
  Get the operation code.
  `ByteBuffer`
  `getPayload()`
  Get the payload.
  `int`
  `getRsv()`
  Get the reserved bits.
  `boolean`
  `isFin()`
  Check if this is the final part.
  `void`
  `setEndHandler(SendHandler endHandler)`
  Set the end handler.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isFin

    public boolean isFin()
    Check if this is the final part.
    Returns:
      true if final

  - ### getRsv

    public int getRsv()
    Get the reserved bits.
    Returns:
      the reserved bits

  - ### getOpCode

    public byte getOpCode()
    Get the operation code.
    Returns:
      the operation code

  - ### getPayload

    public ByteBuffer getPayload()
    Get the payload.
    Returns:
      the payload

  - ### getIntermediateHandler

    public SendHandler getIntermediateHandler()
    Get the intermediate handler.
    Returns:
      the intermediate handler

  - ### getEndHandler

    public SendHandler getEndHandler()
    Get the end handler.
    Returns:
      the end handler

  - ### setEndHandler

    public void setEndHandler(SendHandler endHandler)
    Set the end handler.
    Parameters:
      `endHandler` - the end handler

  - ### getBlockingWriteTimeoutExpiry

    public long getBlockingWriteTimeoutExpiry()
    Get the blocking write timeout expiry.
    Returns:
      the blocking write timeout expiry